Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.security.keys.content
Class RetrievalMethod

    java.lang.Object
      org.apache.xml.security.utils.ElementProxy
          org.apache.xml.security.utils.SignatureElementProxy
              org.apache.xml.security.keys.content.RetrievalMethod

All Implemented Interfaces:
  KeyInfoContent

    public class RetrievalMethod

extends SignatureElementProxy
implements KeyInfoContent

Field Summary
`static java.lang.String` | `TYPE_DSA` DSA retrieval
`static java.lang.String` | `TYPE_MGMT` MGMT retrieval
`static java.lang.String` | `TYPE_PGP` PGP retrieval
`static java.lang.String` | `TYPE_RAWX509` RAWX509 retrieval
`static java.lang.String` | `TYPE_RSA` RSA retrieval
`static java.lang.String` | `TYPE_SPKI` SPKI retrieval
`static java.lang.String` | `TYPE_X509` X509 retrieval

Fields inherited from class org.apache.xml.security.utils.ElementProxy
`baseURI, constructionElement, doc, log`

Constructor Summary
`RetrievalMethod(org.w3c.dom.Document doc, java.lang.String URI, Transforms transforms, java.lang.String Type)` Constructor RetrievalMethod
`RetrievalMethod(org.w3c.dom.Element element, java.lang.String BaseURI)` Constructor RetrievalMethod

Method Summary
`java.lang.String` | `getBaseLocalName()` Returns the localname of the Elements of the sub-class.
`Transforms` | `getTransforms()` Method getTransforms
`java.lang.String` | `getType()`
`java.lang.String` | `getURI()` Method getURI
`org.w3c.dom.Attr` | `getURIAttr()` Method getURIAttr

Methods inherited from class org.apache.xml.security.utils.SignatureElementProxy
`getBaseNamespace`

Methods inherited from class org.apache.xml.security.utils.ElementProxy
`addBase64Element, addBase64Text, addBigIntegerElement, addText, addTextElement, createElementForFamily, createElementForFamilyLocal, getBaseURI, getBigIntegerFromChildElement, getBytesFromChildElement, getBytesFromTextChild, getDefaultPrefix, getDocument, getElement, getElementPlusReturns, getTextFromChildElement, getTextFromTextChild, length, registerDefaultPrefixes, setDefaultPrefix, setElement, setXPathNamespaceContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_DSA

    public static final java.lang.String TYPE_DSA

  DSA retrieval

  See Also:
    Constant Field Values

### TYPE_RSA

    public static final java.lang.String TYPE_RSA

  RSA retrieval

  See Also:
    Constant Field Values

### TYPE_PGP

    public static final java.lang.String TYPE_PGP

  PGP retrieval

  See Also:
    Constant Field Values

### TYPE_SPKI

    public static final java.lang.String TYPE_SPKI

  SPKI retrieval

  See Also:
    Constant Field Values

### TYPE_MGMT

    public static final java.lang.String TYPE_MGMT

  MGMT retrieval

  See Also:
    Constant Field Values

### TYPE_X509

    public static final java.lang.String TYPE_X509

  X509 retrieval

  See Also:
    Constant Field Values

### TYPE_RAWX509

    public static final java.lang.String TYPE_RAWX509

  RAWX509 retrieval

  See Also:
    Constant Field Values

Constructor Detail

### RetrievalMethod

    public RetrievalMethod(org.w3c.dom.Element element,
                           java.lang.String BaseURI)
                    throws XMLSecurityException

  Constructor RetrievalMethod

  Parameters:
    `element` -
    `BaseURI` -
  Throws:
    `XMLSecurityException`

### RetrievalMethod

    public RetrievalMethod(org.w3c.dom.Document doc,
                           java.lang.String URI,
                           Transforms transforms,
                           java.lang.String Type)

  Constructor RetrievalMethod

  Parameters:
    `doc` -
    `URI` -
    `transforms` -
    `Type` -

Method Detail

### getURIAttr

    public org.w3c.dom.Attr getURIAttr()

  Method getURIAttr

  Returns:
    the URI attribute

### getURI

    public java.lang.String getURI()

  Method getURI

  Returns:
    URI string

### getType

    public java.lang.String getType()

  Returns:
    the type

### getTransforms

    public Transforms getTransforms()
                             throws XMLSecurityException

  Method getTransforms

  Returns:
    the transformations
  Throws:
    `XMLSecurityException`

### getBaseLocalName

    public java.lang.String getBaseLocalName()

  Description copied from class: `ElementProxy`
  Returns the localname of the Elements of the sub-class.

  Specified by:
    `getBaseLocalName` in class `ElementProxy`
  Returns:
    the localname of the Elements of the sub-class.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD